CRMchat APIBeta
Telegram APIContacts

contacts.getBlocked

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/contacts.getBlocked

Returns the list of blocked users.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Returns the list of blocked users.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/contacts.getBlocked" \  -H "Content-Type: application/json" \  -d '{    "params": {      "offset": 0,      "limit": 0    }  }'
{  "result": {    "_": "contacts.blocked",    "blocked": [      {        "_": "peerBlocked",        "peerId": {          "_": "peerUser",          "userId": 0        },        "date": 0      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}